playSMS Forum

playSMS version 1.4.5 has been released

playSMS version 1.4.5 is available for download. This version contains bugfixes and security fixes. Vulnerability found on previous playSMS (version 1.4.3 and below) considered severe and it is recommended to upgrade previous playSMS installation to version 1.4.5 as soon as possible.

Get playSMS version 1.4.5 from download page.

Please note that upgrading from 1.4.3 to 1.4.5 is rather simple, no database update required:

  1. Make backups, you can do full backup or just the PHP files
    • Upgrading form 1.4.3 to 1.4.5 does require only to replace PHP files
    • No database update requires
  2. Get new version 1.4.5 from download page
  3. Exract the playsms-1.4.5.tar.gz (or 1.4.5.tar.gz depends on how you download it) and run ./getcomposer.sh
    • After extract you will see playsms-1.4.5 forlder
    • cd inside the folder and run ./getcomposer.sh, pay attention to the result and see if any errors occured
    • Updating the composer packages is important, do not miss it
  4. Replace all web PHP files on your 1.4.3 installation folder with the new version
    • Make sure that you do not replace your own/existing config.php
    • Make sure that PHP files are replaced properly, especially files under lib/ and plugin/core/ folder

Hi
is that possible to add PlaySMS has SMPP account with new version ? its a big issue always we have to depends with other trype of sms gateway . if its can fix with same with Playsms perfect

Thanks

is this bug ?

Hello
thank you for new update version.
Can you tell us which file is for security fixes ? to update or replace manually
thank you

Refer to this [solved] Compose message Sendto is not available to type - #15 by anton